import unittest


from my_romannumber import RomanNumber
def convert(n: int) -> str:
    return RomanNumber().convert(n)


class TestRomanConverter(unittest.TestCase):
    def test_1(self):
        self.assertEqual(convert(1), "I")

    def test_10(self):
        self.assertEqual(convert(10), "X")

    def test_21(self):
        self.assertEqual(convert(21), "XXI")

    def test_50(self):
        self.assertEqual(convert(50), "L")

    def test_100(self):
        self.assertEqual(convert(100), "C")

    def test_1000(self):
        self.assertEqual(convert(1000), "M")

    def test_1999(self):
        self.assertEqual(convert(1999), "MCMXCIX")

if __name__ == "__main__":
    unittest.main()
